<?php ob_start();
defined('BASEPATH') OR exit('No direct script access allowed');
 
class Blog_detail extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->load->helper(array('form', 'url'));
        $this->load->library('form_validation');
        $this->load->model('Common_model');
        $this->is_user_logged_in();
    }


    /*===========================================================
                    Index Function Start
    ============================================================*/

    function index()
     {
         
         $id = $this->uri->segment(2);
        
     
      if(trim($id)!='')
      {
          
          $fetch_data  = '';
          $data['fetch_data'] = $this->Common_model->get_blog_detail_data_by_id($id);
          
         $this->load->view('includes/header');
	     $this->load->view('blog_detail_view',$data);
         $this->load->view('includes/footer');
          
      }else
      {
          
         $this->load->view('includes/header');
	     $this->load->view('blog_detail_view');
         $this->load->view('includes/footer');
          
      } 
      
      
    }

    /*============================================================
                    Index Function end
     ============================================================*/
     
     
    function add_blog_data()
    {
        
        
          if ($this->input->post('addblog')) {
               
                $meta_title         = $this->input->post('meta_title');
                $meta_description   = $this->input->post('meta_description');
                $keywords           = $this->input->post('keywords');
                $blog_description   = $this->input->post('blog_description');
                $blog_image_alt_tag = $this->input->post('blog_image_alt_tag');
                $blog_id            = $this->input->post('blog_id');
                
                $config['upload_path']   = 'blog-img/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size']      =  500;
        
                $this->load->library('upload', $config);
        
                if (!$this->upload->do_upload('blog_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
             
                
                redirect('blog_detail/'.$blog_id.'/2/');
                 
                    
                } else {
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                
                $data = array(
                    'added_date' => date('Y-m-d H:i:s'),'meta_title' => $meta_title,
                    'meta_description' => $meta_description,'keywords' => $keywords,
                    'blog_description' => $blog_description,'blog_id'=>$blog_id,'blog_image'=>$image_name,'blog_image_alt_tag'=>$blog_image_alt_tag
                
                    );
               
                   $insert_data = '';
                   $insert_data = $this->Common_model->insert_blog_detail_data($data);
                  
                    if($insert_data){ 
                      
                      redirect('blog_list/2/');
                              
                    }
                    
                }
                
             
           }
           
           
           
           if ($this->input->post('updateblog')) {
               
                $meta_title       = $this->input->post('meta_title');
                $meta_description = $this->input->post('meta_description');
                $keywords         = $this->input->post('keywords');
                $blog_description = $this->input->post('blog_description');
                $blog_image_alt_tag  = $this->input->post('blog_image_alt_tag');
                $last_image          = $this->input->post('last_image');
                $updateid            = $this->input->post('updateid');
                $blog_id             = $this->input->post('blog_id');
                
                $config['upload_path'] = 'blog-img/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size'] = 500;
        
                $this->load->library('upload', $config);
                
                if(!empty($_FILES['blog_image']['name'])){   
        
                if (!$this->upload->do_upload('blog_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('blog_detail/'.$news_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                   
                   }
                
                 }
                 
                 if($image_name=='')
                 {
                  $image_name =  $last_image; 
                 }
                
                  $data = array(
                    'updated_date' => date('Y-m-d H:i:s'),'meta_title' => $meta_title,
                    'meta_description' => $meta_description,'keywords' => $keywords,
                    'blog_description' => $blog_description,'blog_image'=>$image_name,'blog_image_alt_tag'=>$blog_image_alt_tag
                
                    );
               
                   $update_data = '';
                   $update_data = $this->Common_model->update_blog_detail_data($data,$updateid);
                  
                    if($update_data){ 
                        
                      
                      redirect('blog_list/3/');
                              
                              
                    }
                    
            
                  }
               
           
      
    }
     
     
   function is_user_logged_in()
	{
	    
		$this->load->helper(array('form', 'url'));
		if ($this->session->userdata('education_user_id') == '' or $this->session->userdata('education_user_type') == ''  
		   or $this->session->userdata('education_user_email') == '')
		{
			redirect('welcome');      
		}	

		else
		{
			//echo "User is logged in";
		}
		
	} 
     
     
     
     
     
}