<?php ob_start();
defined('BASEPATH') OR exit('No direct script access allowed');
 
class News_detail extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->load->helper(array('form', 'url'));
        $this->load->library('form_validation');
        $this->load->model('Common_model');
        $this->is_user_logged_in();
        
    }


    /*===========================================================
                    Index Function Start
    ============================================================*/

    function index()
     {
         
         $id = $this->uri->segment(2);
        
     
      if(trim($id)!='')
      {
          
         $fetch_data  = '';
         $data['fetch_data'] = $this->Common_model->get_news_detail_data_by_id($id);
        
          
         $this->load->view('includes/header');
	     $this->load->view('news_detail_view',$data);
         $this->load->view('includes/footer');
          
      }else
      {
          
         $this->load->view('includes/header');
	     $this->load->view('news_detail_view');
         $this->load->view('includes/footer');
          
      } 
      
      
    }

    /*============================================================
                    Index Function end
     ============================================================*/
     
     
    function add_news_data()
    {
        
        
          if ($this->input->post('addnews')) {
               
                $meta_title         = $this->input->post('meta_title');
                $meta_description   = $this->input->post('meta_description');
                $keywords           = $this->input->post('keywords');
                $news_description   = $this->input->post('news_description');
                $news_image_alt_tag = $this->input->post('news_image_alt_tag');
                $news_id            = $this->input->post('news_id');
                
                
                $config['upload_path']   = 'news-img/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size']      =  500;
        
                $this->load->library('upload', $config);
        
                if (!$this->upload->do_upload('news_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
             
                
                redirect('news_detail/'.$news_id.'/2/');
                 
                    
                } else {
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                
                    $data = array(
                    'added_date' => date('Y-m-d H:i:s'),'meta_title' => $meta_title,
                    'meta_description' => $meta_description,'keywords' => $keywords,
                    'news_description' => $news_description,'news_id'=>$news_id,
                    'news_image_alt_tag'=>$news_image_alt_tag,'news_image'=>$image_name
                
                    );
               
                    $insert_data = '';
                    $insert_data = $this->Common_model->insert_news_detail_data($data);
                  
                    if($insert_data){
                        
                      redirect('news_list/2/');
                   }
                   
                }
                
                
          } 
            
           
           
           if ($this->input->post('updatenews')) {
               
                $meta_title          = $this->input->post('meta_title');
                $meta_description    = $this->input->post('meta_description');
                $keywords            = $this->input->post('keywords');
                $news_description    = $this->input->post('news_description');
                $news_image_alt_tag  = $this->input->post('news_image_alt_tag');
                $last_image          = $this->input->post('last_image');
                $updateid            = $this->input->post('updateid');
                $news_id             = $this->input->post('news_id');
                
         
               
             
                $config['upload_path'] = 'news-img/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size'] = 500;
        
                $this->load->library('upload', $config);
                
                if(!empty($_FILES['news_image']['name'])){   
        
                if (!$this->upload->do_upload('news_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('news_detail/'.$news_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($image_name=='')
                {
                  $image_name =  $last_image; 
                }
                
                  
                 $data = array(
                    'updated_date' => date('Y-m-d H:i:s'),'meta_title' => $meta_title,
                    'meta_description' => $meta_description,'keywords' => $keywords,
                    'news_description' => $news_description,'news_image_alt_tag'=>$news_image_alt_tag,'news_image'=>$image_name
                
                    );
               
                   $update_data = '';
                   $update_data = $this->Common_model->update_news_detail_data($data,$updateid);
                  
                    if($update_data){ 
                        
                      
                      redirect('news_list/3/');
                              
                              
                    }
                    
               
             
           }
           
        
    }
     
     
     
   function is_user_logged_in()
	{
	    
		$this->load->helper(array('form', 'url'));
		if ($this->session->userdata('education_user_id') == '' or $this->session->userdata('education_user_type') == ''  
		   or $this->session->userdata('education_user_email') == '')
		{
			redirect('welcome');      
		}	

		else
		{
			//echo "User is logged in";
		}
	}
     
     
     
     
     
}